Bug 196494 - Deleting a makefile based project deletes the makefile
Deleting a makefile based project deletes the makefile
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0
PC All
: P1 (vote)
: 7.0
Assigned To: Alexander Simon
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 13:57 UTC by Alexander Pepin
Modified: 2011-03-18 11:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2011-03-09 13:57:38 UTC
This bug causes user data loss.
Steps to reproduce:
- create a simple makefile based project
- call Delete on the project node, do not check "Also delete sources..."
Result: The makefile being used in the project is also deleted.
Comment 1 Alexander Simon 2011-03-09 15:41:57 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/f92bc9638bc9
Comment 2 Alexander Simon 2011-03-09 17:17:23 UTC
QA, please, verify fix
Comment 3 Quality Engineering 2011-03-10 09:34:40 UTC
Integrated into 'main-golden', will be available in build *201103100400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f92bc9638bc9
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #196494 Deleting a makefile based project deletes the makefile
Comment 4 Alexander Pepin 2011-03-11 10:56:44 UTC
The fix is verified in dev build.
Comment 5 Alexander Simon 2011-03-11 11:41:34 UTC
Vladimir V, please, review fix.
Comment 6 Vladimir Voskresensky 2011-03-11 12:12:40 UTC
looks fine.
Comment 7 Alexander Simon 2011-03-11 21:14:59 UTC
fixed in relase70:
http://hg.netbeans.org/releases/rev/24b497989442
Comment 8 Thomas Preisler 2011-03-15 17:01:58 UTC
>> Fix confirmed in cnd-main and nb7.0, it fixes the bug. But in case of 
>> an old-style makefile project (< version 74), the generated makefile 
>> in the project directory is now not deleted. It should. A better fix 
>> would be to check project version and also delete master makefile if 
>> version < 74 (or so?). This is not needed now.
Comment 9 Alexander Pepin 2011-03-18 11:30:46 UTC
муrified in RC1 build 20110317


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo